package com.cqxf.prometheus.alert.entity.alert;
import com.cqxf.prometheus.alert.constant.Constant;
import lombok.Data;

import java.util.Date;
import java.util.Map;

@Data
public class Alerts {

    private String status;
    private Map<String, String> labels;
    private Annotations annotations;
    private Date startsAt;
    private Date endsAt;
    private String generatorURL;
    private String fingerprint;


    /**
     * 报警
     * @return
     */
    public boolean isFiring() {
        return Constant.FIRING.equals(this.status);
    }

    /**
     * 恢复
     * @return
     */
    public boolean isResolved() {
        return Constant.RESOLVED.equals(this.status);
    }


}