package com.cqxf.prometheus.alert.service;

import java.util.List;

/**
 * 消息发送服务
 */
public interface MessageService {

    void send(String to, String content);

    default void send(List<String> tos, String content) {
        send(tos.toArray(new String[tos.size()]), content);
    }

    void send(String[] tos, String content);

}
