package com.cqxf.prometheus.alert.service.impl;

import com.cqxf.prometheus.alert.service.MessageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component("testSms")
public class TestSmsMessageServiceImpl implements MessageService {
    @Override
    public void send(String to, String content) {
        log.info("发送至：{}；消息体：{}", to, content);
    }

    @Override
    public void send(String[] tos, String content) {
        send(String.join(",", tos), content);
    }
}
